summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/rsa')
-rw-r--r--dev-python/rsa/Manifest1
-rw-r--r--dev-python/rsa/metadata.xml11
-rw-r--r--dev-python/rsa/rsa-4.0.ebuild32
3 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/rsa/Manifest b/dev-python/rsa/Manifest
new file mode 100644
index 0000000..aa2a861
--- /dev/null
+++ b/dev-python/rsa/Manifest
@@ -0,0 +1 @@
+DIST rsa-4.0.tar.gz 37385 SHA256 1a836406405730121ae9823e19c6e806c62bbad73f890574fff50efa4122c487 SHA512 e11106741cc4275246c986d39b3f028b5a4df6fbffdd08a78072ac3d3a9a7ade7a39789c504a2705f54d858a9bdbf03981251f32f9c45baba71e4a986e14b24e WHIRLPOOL d4d8a9d6c0046fac3153f2b9fe4fab235b9388941fb16d56993149303dd7a07d8a5d743542fb6c9bd6fae2d8aa13e405105261fa1891bf09a072ff63009d9cec
diff --git a/dev-python/rsa/metadata.xml b/dev-python/rsa/metadata.xml
new file mode 100644
index 0000000..35bbfa2
--- /dev/null
+++ b/dev-python/rsa/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">rsa</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/rsa/rsa-4.0.ebuild b/dev-python/rsa/rsa-4.0.ebuild
new file mode 100644
index 0000000..0fb7d5a
--- /dev/null
+++ b/dev-python/rsa/rsa-4.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python RSA implementation"
+HOMEPAGE="https://stuvel.eu/rsa https://pypi.org/project/rsa/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.1.3[${PYTHON_USEDEP}]
+ dev-python/traceback2[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ >=dev-python/setuptools-0.6.10[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )
+ "
+
+python_test() {
+ nosetests --verbose || die
+}